Shared Group Data - Create Shared Group
Requests the creation of a shared group object, containing key/value pairs which may be updated by all members of the group. When created by a server, the group will initially have no members. Shared Groups are designed for sharing data between a very small number of players, please see our guide: https://docs.microsoft.com/gaming/playfab/features/social/groups/using-shared-group-data
POST https://titleId.playfabapi.com/Server/CreateSharedGroup
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| X-SecretKey | True |
string |
This API requires a title secret key, available to title admins, from PlayFab Game Manager. |
Request Body
| Name | Type | Description |
|---|---|---|
| SharedGroupId |
string |
Unique identifier for the shared group (a random identifier will be assigned, if one is not specified). |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK | ||
| 400 Bad Request |
This is the outer wrapper for all responses with errors |
Security
X-SecretKey
This API requires a title secret key, available to title admins, from PlayFab Game Manager.
Type:
apiKey
In:
header
Definitions
| Name | Description |
|---|---|
|
Api |
The basic wrapper around every failed API response |
|
Create |
If SharedGroupId is specified, the service will attempt to create a group with that identifier, and will return an error if it is already in use. If no SharedGroupId is specified, a random identifier will be assigned. |
|
Create |
ApiErrorWrapper
The basic wrapper around every failed API response
| Name | Type | Description |
|---|---|---|
| code |
integer |
Numerical HTTP code |
| error |
string |
Playfab error code |
| errorCode |
integer |
Numerical PlayFab error code |
| errorDetails |
object |
Detailed description of individual issues with the request object |
| errorMessage |
string |
Description for the PlayFab errorCode |
| status |
string |
String HTTP code |
CreateSharedGroupRequest
If SharedGroupId is specified, the service will attempt to create a group with that identifier, and will return an error if it is already in use. If no SharedGroupId is specified, a random identifier will be assigned.
| Name | Type | Description |
|---|---|---|
| SharedGroupId |
string |
Unique identifier for the shared group (a random identifier will be assigned, if one is not specified). |
CreateSharedGroupResult
| Name | Type | Description |
|---|---|---|
| SharedGroupId |
string |
Unique identifier for the shared group. |
Error Codes
| Name | Code |
|---|---|
| InvalidSharedGroupId | 1088 |
| ProductDisabledForTitle | 1609 |